%define debug_package %{nil}

Summary:	Builds a LiveCD from an existing Mageia Linux installation
Name:		mklivecd
Version:	0.9.7
Release:	28%{?dist}
License:	GPLv2
Group:		System/Packaging
URL:		https://github.com/unity-linux/mklivecd/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	intltool
Requires:	imagemagick
Requires:	squashfs-tools >= 4.2
Requires:	drakx-installer-binaries-probe
Requires:	plymouth-scripts
Requires:	plymouth
Requires:	bootsplash
Requires:	grub2
Requires:	xorriso

# We need a theme for testing
Suggests:	mageia-theme

%description
The mklivecd tools are dedicated to providing you with the capability to
create your own Live CD or Live DVD from a currently installed Mageia
distribution. It can be used to create your own travelling Mageia-based
Live CD, specialized Live CD featuring custom-developed applications or to
put together a demo disk to show off the power of our favorite OS. The
possibilities are endless!

Created CDs feature automatic hardware detection and setup. In addition,
it utilizes compression technology to allow building a Live CD from a
partition much larger than will typically fit on a CD or DVD, usually up
to 2GB for a normal 650MB CD or around 10GB for a normal 4GB DVD. When
booting from this LiveCD, the data is transparently decompressed as
needed with almost no performance impact.

%package -n mkremaster
Summary: mkremaster is a gui frontend to mklivecd
Requires:	beesu
Requires:       zenity
Requires:       mklivecd

%description -n mkremaster
mkremaster is a gui frontend to mklivecd and the mklivecd tools.
The mklivecd tools are dedicated to providing you with the capability to
create your own Live CD or Live DVD from a currently installed Mageia
distribution. It can be used to create your own travelling Mageia-based
Live CD, specialized Live CD featuring custom-developed applications or to
put together a demo disk to show off the power of our favorite OS. The
possibilities are endless!

%prep
%setup -q

%build
%make_build

%install
%make_install

%find_lang mklivecd
%find_lang mkremaster
cat mklivecd.lang >> %{name}.list
cat mkremaster.lang >> mkremaster.list

%files -f %{name}.list
%license COPYING
%doc AUTHORS CHANGELOG FAQ README.md README.BOOTCODES README.USB TODO
%{_sbindir}/mklivecd
%dir %{_datadir}/mklivecd
%{_datadir}/mklivecd/gfxboot.cfg
%{_datadir}/mklivecd/finish-install
%config /etc/dracut.conf.d/60-live.conf
%config /etc/modprobe.d/blacklist_ide.conf

%files -n mkremaster -f mkremaster.list
%{_sbindir}/mkremaster
%{_datadir}/pixmaps/mkremaster.png
%{_datadir}/applications/mkremaster-kde.desktop
%{_datadir}/applications/mkremaster.desktop
%{_datadir}/applications/mkremaster-tinyme.desktop
